Bug 1687038 - os/filestore: ceph_abort() on fsync(2) or fdatasync(2) failure
Summary: os/filestore: ceph_abort() on fsync(2) or fdatasync(2) failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z2
: 3.2
Assignee: Neha Ojha
QA Contact: Manohar Murthy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-09 00:34 UTC by Neha Ojha
Modified: 2019-05-01 17:23 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-12.2.8-113.el7cp Ubuntu: ceph_12.2.8-96redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 38258 None None None 2019-03-09 00:34:19 UTC
Github ceph ceph pull 26871 None None None 2019-04-03 18:38:23 UTC
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:22 UTC

Description Neha Ojha 2019-03-09 00:34:19 UTC
Description of problem:

If we get an error from f[data]sync that is always a fatal error.
WBThrottle is the main one, but there are also fsync(2) calls in the write guard code that should be checked.

Comment 7 errata-xmlrpc 2019-04-30 15:57:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.